Database.HaskellDB.PrimQuery

# Type Declarations

## Types

type TableName

type Attribute

type Scheme

type Assoc

type Name

## Data types

data PrimQuery

data RelOp

data SpecialOp

data PrimExpr

data OrderExpr

data BinOp

data UnOp

data OrderOp

data AggrOp

data Literal

# Function declarations

extend

times

attributes

attrInExpr

attrInOrder

substAttr

isAggregate

isConstant

foldPrimQuery

foldPrimExpr